Return registration state for a caller-owned wallet.
curl --request GET \
--url https://api.example.com/v1/competitions/{slug}/registration/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/competitions/{slug}/registration/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/competitions/{slug}/registration/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Competitions
GET /v1/competitions/{slug}/registration/status
Check registration state for a caller-owned competition wallet.
GET
/
v1
/
competitions
/
{slug}
/
registration
/
status
Return registration state for a caller-owned wallet.
curl --request GET \
--url https://api.example.com/v1/competitions/{slug}/registration/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/competitions/{slug}/registration/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/competitions/{slug}/registration/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Check the caller’s selected Bittensor wallet registration status for a
competition subnet.
Was this page helpful?
